import http  from "@/utils/request";
import config from "@/config"

export default  {
    login : {
        VerifyLogin : {
            url:`${config.baseUrl}/Mobile/VerifyLogin`,
            name:'免登',
            post : function(params){
                return http.post(this.url,params)
            }
        }
    },
    my: {
        BannerImg : {
            url:`${config.baseUrl}/banner/bannerImg/list`,
            name:'轮播图',
            get : function(params){
                return http.get(this.url,params)
            }
        },
        SelectColor : {
            url:`${config.baseUrl}/selectapp/selectColor/list`,
            name:'主题颜色',
            get : function(params){
                return http.get(this.url,params)
            }
        },
        OrderList : {
            url:`${config.baseUrl}/Mobile/OrderList`,
            name:'测试',
            get : function(params){
                return http.get(this.url,params)
            }
        },
        OrderDetails : {
            url:`${config.baseUrl}/api/accountApi/gettIsDealCount`,
            name:'测试',
            get : function(params){
                return http.get(this.url,params)
            }
        }
    },
    activityMan : {
        siteInspectionList : {
            url:`${config.baseUrl}/csjcqk/siteInspection/list`,
            name:'测试',
            get : function(params){
                return http.get(this.url,params)
            }
        }


    },
    yin : {
        TokenLogin : {
            url:`${config.baseUrl}/yzt/Login`,
            name:'测试',
            get : function(params){
                return http.get(this.url,params)
            }
        },
        SchemaService : {
            url:`${config.baseUrl}/SchemaService`,
            name:'测试用户同步规则',
            post : function(params){
                return http.post(this.url,params)
            }
        },
        UserCreateService : {
            url:`${config.baseUrl}/UserCreateService`,
            name:'测试用户新建',
            post : function(params){
                return http.post(this.url,params)
            }
        },
        UserUpdateService : {
            url:`${config.baseUrl}/UserUpdateService`,
            name:'测试用户更新',
            post : function(params){
                return http.post(this.url,params)
            }
        },
        UserDeleteService : {
            url:`${config.baseUrl}/UserDeleteService`,
            name:'测试用户删除',
            post : function(params){
                return http.post(this.url,params)
            }
        }

    },
}

