import request from '@/utils/request'

export default class PrivatePartyPointService {
    save(inputForm) {
        return request.post(
            '/privateparty/privatePartyPoint/save',
            inputForm
        )
    }

    delete(ids) {
        return request.delete(
            '/privateparty/privatePartyPoint/delete', { ids: ids }
        )
    }

    queryById(id) {
        return request.get(
            '/privateparty/privatePartyPoint/queryById', { id: id }
        )
    }
    list(params) {
        return request.get(
            '/privateparty/privatePartyPoint/list',
            params
        )
    }
}