import request from '@/utils/request'
export default class placeActivityServer {
    // 保存
    save(inputForm) {
        return request.post(
            '/reporting/reportingActivities/save',
            inputForm
        )
    };
    // 修改
    queryById(id) {
        return request.get(
            '/reporting/reportingActivities/queryById', { id: id }
        )
    };
    list(params) {
        return request.get(
            `/reporting/reportingActivities/list`,
            params
        )
    };
    queryListLonginId() {
        return request.get(
            '/reporting/reportingActivities/queryListLonginId'
        )
    };
    delete(ids) {
        return request.delete(
            '/reporting/reportingActivities/delete', { ids: ids }
        )
    }
}