import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [{
        path: '/',
        name: 'home',
        component: () =>
            import ('../views/tab_a/tabAll.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/login',
        name: 'login',
        component: () =>
            import ('../views/login/login.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/forget',
        name: 'forget',
        component: () =>
            import ('../views/login/forget.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/changePassword',
        name: 'changePassword',
        component: () =>
            import ('../views/login/changePassword.vue'),
        meta: {
            isShowTarbar: false,
        }
    },{
        path: '/tab_a',
        name: 'tab_a',
        component: () =>
            import ('../views/tab_a/tab_a.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/siteInspectionView',
        name: 'siteInspectionView',
        component: () =>
            import ('../views/activityMan/siteInspection/siteInspectionView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/siteInspectionList',
        name: 'siteInspectionList',
        component: () =>
            import ('../views/activityMan/siteInspection/siteInspectionList.vue'),
        meta: {
            isShowTarbar: true,
        }
    },{
        path: '/siteInspectionInfo',
        name: 'siteInspectionInfo',
        component: () =>
            import ('../views/activityMan/siteInspection/siteInspectionInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/securityFacilitiesErrView',
        name: 'securityFacilitiesErrView',
        component: () =>
            import ('../views/activityMan/securityFacilitiesErr/securityFacilitiesErrView.vue'),
        meta: {
            isShowTarbar: true,
        }
    },{
        path: '/securityFacilitiesErrList',
        name: 'securityFacilitiesErrList',
        component: () =>
            import ('../views/activityMan/securityFacilitiesErr/securityFacilitiesErrList.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/securityFacilitiesErrInfo',
        name: 'securityFacilitiesErrInfo',
        component: () =>
            import ('../views/activityMan/securityFacilitiesErr/securityFacilitiesErrInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    },{
        path: '/religiousConferenceView',
        name: 'religiousConferenceView',
        component: () =>
            import ('../views/activityMan/religiousConference/religiousConferenceView.vue'),
        meta: {
            isShowTarbar: true,
        }
    },{
        path: '/religiousConferenceList',
        name: 'religiousConferenceList',
        component: () =>
            import ('../views/activityMan/religiousConference/religiousConferenceList.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/religiousConferenceInfo',
        name: 'religiousConferenceInfo',
        component: () =>
            import ('../views/activityMan/religiousConference/religiousConferenceInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/nonReligiousInformationView',
        name: 'nonReligiousInformationView',
        component: () =>
            import ('../views/activityMan/nonReligiousInformation/nonReligiousInformationView.vue'),
        meta: {
            isShowTarbar: true,
        }
    },{
        path: '/nonReligiousInformationList',
        name: 'nonReligiousInformationList',
        component: () =>
            import ('../views/activityMan/nonReligiousInformation/nonReligiousInformationList.vue'),
        meta: {
            isShowTarbar: true,
        }
    },{
        path: '/nonReligiousInformationInfo',
        name: 'nonReligiousInformationInfo',
        component: () =>
            import ('../views/activityMan/nonReligiousInformation/nonReligiousInformationInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/toBeDone',
        name: 'toBeDone',
        component: () =>
            import ('../views/toBeDone/toBeDone.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/toBeDone_details',
        name: 'toBeDone_details',
        component: () =>
            import ('../views/toBeDone/toBeDone_details.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/placeActivityList',
        name: 'placeActivityList',
        component: () =>
            import ('../views/activityMan/placeactivity/placeActivityList.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/placeActivity',
        name: 'placeActivity',
        component: () =>
            import ('../views/activityMan/placeactivity/placeActivityView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/placeActivityInfo',
        name: 'placeActivityInfo',
        component: () =>
            import ('../views/activityMan/placeactivity/placeActivityInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/selfMeetingList',
        name: 'selfMeetingList',
        component: () =>
            import ('../views/activityMan/selfMeetingReport/selfMeetingList.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/selfMeeting',
        name: 'selfMeeting',
        component: () =>
            import ('../views/activityMan/selfMeetingReport/selfMeetingView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/selfMeetingInfo',
        name: 'selfMeetingInfo',
        component: () =>
            import ('../views/activityMan/selfMeetingReport/selfMeetingInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/differentbelievers',
        name: 'differentbelievers',
        component: () =>
            import ('../views/activityMan/differentbelievers/ReligiousPeopleReportView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/differentbelieversList',
        name: 'differentbelieversList',
        component: () =>
            import ('../views/activityMan/differentbelievers/ReligiousPeopleReportList.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/differentbelieversInfo',
        name: 'differentbelieversInfo',
        component: () =>
            import ('../views/activityMan/differentbelievers/ReligiousPeopleReportInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/setting',
        name: 'setting',
        component: () =>
            import ('../views/setting/setting.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/tabAll',
        name: 'tabAll',
        component: () =>
            import ('../views/tab_a/tabAll.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/about',
        name: 'about',
        component: () =>
            import ('../views/AboutView.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placePerson',
        name: 'placePerson',
        component: () =>
            import ('../views/placeManage/placePerson.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placePersoninfo',
        name: 'placePersoninfo',
        component: () =>
            import ('../views/placeManage/placePersoninfo.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placeRegister',
        name: 'placeRegister',
        component: () =>
            import ('../views/placeManage/placeRegister.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placeTablet',
        name: 'placeTablet',
        component: () =>
            import ('../views/placeManage/placeTablet.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placeTabletInfo',
        name: 'placeTabletInfo',
        component: () =>
            import ('../views/placeManage/placeTabletInfo.vue'),
        meta: {
            isShowTarbar: false,
        }
    }
]

const router = createRouter({
    history: createWebHashHistory(),
    routes,
})

export default router