import { createStore } from "vuex";
const TOKEN_Key="MZ_USER";
const PCTOKEN_Key="MZ_TOKEN";
const COLOR_Key="MZ_COLOR";
const store =createStore({
    state:{
        user:window.localStorage.getItem(TOKEN_Key),
        pctoken:window.localStorage.getItem(PCTOKEN_Key),
        selectcolor:window.localStorage.getItem(COLOR_Key)
    },
    mutations:{
        setUser(state,data){
            state.user=data;
            window.localStorage.setItem(TOKEN_Key,state.user);
        },
        setPcToken(state,data){
            state.pctoken=data;
            window.localStorage.setItem(PCTOKEN_Key,state.pctoken);
        },
        setSelectColor(state,data){
            state.selectcolor=data;
            window.localStorage.setItem(COLOR_Key,state.selectcolor);
        },
    },
});
export default store;